Download it now!
Bug 72515 - Grammar warning messages use document language instead of UI language
Summary: Grammar warning messages use document language instead of UI language
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking UX
  Show dependency treegraph
 
Reported: 2013-12-09 11:44 UTC by Pedro
Modified: 2019-08-28 20:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (PNG) of grammar message in document language instead of UI language (24.70 KB, image/png)
2013-12-09 11:44 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2013-12-09 11:44:03 UTC
Created attachment 90505 [details]
Screenshot (PNG) of grammar message in document language instead of UI language

When the user is doing a Spell and Grammar check, the error messages are displayed in the text language instead of the UI language.

E.g. When checking a French document with a Portuguese UI, the Grammar warning messages are displayed in French instead of Portuguese.

See further discussion in
http://nabble.documentfoundation.org/Libreoffice-qa-LO-s-spellchecker-shows-grammar-errors-hints-in-English-though-UI-is-in-German-tp4087185.html

In the attached image you can see the warning message highlighted in pale yellow.
Comment 1 Thomas Hackert 2013-12-09 17:58:49 UTC
Hello Pedro, *,
I can confirm this bug with LO Version: 4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a as well as with Version: 4.2.0.0.beta2
Build-ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d (both installed with Germanophone lang- as well as helppack on Debian Testing AMD64), that – if I open an English document – the messages/hints from the grammar checker are in English. If I open one in French, they are in French ... :( I would expect German text here, as I am using LO with a Germanophone UI/help installed and configured ... ;)
Sorry for the inconvenience
Thomas.
Comment 2 A (Andy) 2014-10-02 09:37:25 UTC
for me not reproducible with LO 4.3.2.2 (Win 8.1)

Does this issue still persist for you or anybody else with the latest release of LO?  Otherwise, we can maybe close this issue.
Comment 3 Pedro 2014-10-02 14:38:55 UTC
(In reply to A (Andy) from comment #2)
> for me not reproducible with LO 4.3.2.2 (Win 8.1)
> 
> Does this issue still persist for you or anybody else with the latest
> release of LO?  Otherwise, we can maybe close this issue.

Still occurs under LO 4.3.1.2 (Win XP) using Portuguese UI

Which UI language did you test with?
Comment 4 A (Andy) 2014-10-02 15:51:31 UTC
Thank you very much for your fast reply.

And I have to correct my comment.  I had tested:
German text with English UI
German text with Swedish UI
English text with Swedish UI
English text with Russian UI
German text with Russian UI

But now after retesting I have seen that the grammar check did not work and therefore hasn't recognized grammar mistakes.  But I am wondering why my LO didn't recognize for instance German grammar mistakes.
Spelling mistakes didn't show any UI mistakes.

Now I tested the following:
Text: "This are a English text."
Document Language = English (UK)
UI = German and Swedish

Result: 
"This are an" is unfortunately defective not recognized as a mistake.  
"a English" is recognized as a mistake and in the Swedish and German UI the Spell and Grammar check shows in English "Bad Article?" in the line after the selected English (= second line).

-> reproducible with LO 4.3.2.2 (Win 8.1)
Comment 5 Urmas 2014-10-03 03:45:11 UTC
Are lightproof messages localizable at all?
Comment 6 QA Administrators 2015-12-20 16:10:12 UTC Comment hidden (obsolete)
Comment 7 Pedro 2015-12-20 17:22:14 UTC
Bug is present in version 5.0.4.2
Comment 8 QA Administrators 2017-01-03 19:47:23 UTC Comment hidden (obsolete)
Comment 9 Pedro 2017-01-03 20:24:11 UTC
The bug still occurs on LibreOffice 5.3.0.1 under Windows 10
The message no longer shows highlighted in yellow but the language of the error message is still the same as the text (should be in the UI language)
Comment 10 QA Administrators 2018-01-04 03:34:43 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug